: Class SequenceFilter

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.gui.sequenceChooser
Class SequenceFilter

    java.lang.Object
      |
      +--javax.swing.filechooser.FileFilter
            |
            +--org.emboss.jemboss.gui.sequenceChooser.SequenceFilter

public class SequenceFilter
extends javax.swing.filechooser.FileFilter

Field Summary
`static java.lang.String` | `embl`
`static java.lang.String` | `fasta`
`static java.lang.String` | `gcg`
`static java.lang.String` | `msf`
`static java.lang.String` | `swiss`

Constructor Summary
`SequenceFilter()`

Method Summary
`boolean` | `accept(java.io.File f)` Accept all directories and all sequence files (*.fasta, *.msf, *.gcg, *.embl, *.swiss)
`java.lang.String` | `getDescription()`
`static java.lang.String` | `getExtension(java.io.File f)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fasta

    public static final java.lang.String fasta

### msf

    public static final java.lang.String msf

### gcg

    public static final java.lang.String gcg

### embl

    public static final java.lang.String embl

### swiss

    public static final java.lang.String swiss

Constructor Detail

### SequenceFilter

    public SequenceFilter()

Method Detail

### accept

    public boolean accept(java.io.File f)

  Accept all directories and all sequence files (*.fasta, *.msf, *.gcg, *.embl, *.swiss)
  Overrides:
    `accept` in class `javax.swing.filechooser.FileFilter`

### getDescription

    public java.lang.String getDescription()

  Overrides:
    `getDescription` in class `javax.swing.filechooser.FileFilter`
  Returns:
    The description of this filter

### getExtension

    public static java.lang.String getExtension(java.io.File f)

  Parameters:
    `File` -
  Returns:
    Get the extension of a file.

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD